#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

typedef struct
{
	char dept[31];
	int nbP;
	char respAd[31];
} Departement;

typedef struct maillonDept
{
	Departement d;
	struct maillonDept *suiv;

} MaillonDept,*ListeDept;

typedef struct
{
	char nom[31];
	ListeDept lDept;
} VilleIUT;

int chargement(VilleIUT *tiut[],int tMax);
Departement lireDep(FILE *flot);
int insérerVille(VilleIUT *tiut[], char nomV[], Departement d, int *tLog, int tMax, int pos);
ListeDept listeDeptNouv(void);
ListeDept insérerEntete(ListeDept lDept,Departement d);
ListeDept insérerDept(ListeDept lDept, Departement d);
ListeDept supprimerEntete(ListeDept lDept);
ListeDept supprimerDept(ListeDept lDept, Departement d);
int longueur(ListeDept lDept);
bool vide(ListeDept lDept);
bool rechercherDept(ListeDept lDept, Departement d);
int login(void);
void menuAdmin(VilleIUT *tiut[], int *tLog, int tMax);
void menuCandidat(VilleIUT *tiut[], int *tLog, int tMax);
void clearpage(void);
void afficherPlace(Departement m);
void afficherDep(Departement d);
void afficherVille(VilleIUT v);
void afficherTIUT(VilleIUT *tiut[], int tLog);
int rechercheIUT(VilleIUT *tiut[], int tLog, char ville[], int *trouve);
void globale(void);